<?php
/*
 * Add buttons to visual editor
 */
function pm_hlshr_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	}
	//if( 'spp_elp_sales' == $typenow || 'spp_elp_optin' == $typenow ) {
		add_filter('mce_external_plugins', 'pm_hlshr_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'pm_hlshr_add_tmce_buttons' );
	//}
}

function pm_hlshr_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'pmhlshrbuttons' );
    return $buttons;
}
add_action( 'init', 'pm_hlshr_tmcebuttons' );

/*
 * Bring in button
 */
 function pm_hlshr_buttons_mce_plugin( $plugins ) {
 	$wpversion = get_bloginfo( 'version' );
		// this plugin file will work the magic of our button
 	if( $wpversion > '3.8.1' ) {
		$plugins['pmhlshrbuttons'] = PM_HLSHR_DIR . 'modules/js/pm-hlshr-shortcode-dialog.js';
	} else {
		$plugins['pmhlshrbuttons'] = PM_HLSHR_DIR . 'modules/js/pm-hlshr-shortcode-dialog-3.0.js';
	}
		return $plugins;
	}
/*
 * Enqueue scripts for TinyMCE
 */
add_action( 'admin_enqueue_scripts', 'pm_hlshr_admin_scripts' );
function pm_hlshr_admin_scripts( $hook ) {
	global $post;
	if( $hook == 'post-new.php' || $hook == 'post.php' ) {
		// For TinyMCE
		wp_enqueue_style( 'pm-hlshr-editor-font', PM_HLSHR_DIR.'/modules/font/pm_hlshr/css/pm_hlshr.css' );
		// Load fonts styles in tinymce
		//add_filter( 'mce_css', 'pm_hlshr_mce_css' );		
	}
}

/*
 * add more buttons to the html editor
 */
function pm_hlshr_add_quicktags() {
	if ( wp_script_is( 'quicktags' ) ) {
?>
    <script type="text/javascript">
	QTags.addButton( 'pm_hlshr_qte', 'hiliteshare', '[hiliteshare]', '[/hiliteshare]', '', 'Hilite share shortcode', 21, '' );
    </script>
<?php
	}
}
add_action( 'admin_print_footer_scripts', 'pm_hlshr_add_quicktags' );

/*
 * Add DIV class before and after content
 */
add_action( 'the_content', 'pm_hlshr_filter_the_content', 20 );
function pm_hlshr_filter_the_content( $content ) {
	global $post;
	$pm_hlshr_opts = get_option( 'pm_hlshr_options' );
	$current_post_type = get_post_type();
	$hilite_post_types = ( empty( $pm_hlshr_opts['hilite_post_types'] ) ) ? array() : $pm_hlshr_opts['hilite_post_types'];
	$pm_hlshr_disable = get_post_meta( $post->ID, '_pm_hlshr_disable', true );


	if( !empty( $pm_hlshr_opts['enable_hilite'] ) && ( $pm_hlshr_opts['enable_hilite'] == 1 ) && in_array( $current_post_type, $hilite_post_types ) ) {
		// Finally, check if disabled on single page
		if( empty( $pm_hlshr_disable ) ) {
			$pm_hlshr_content = '<div class="pm-hlshr-content">';
			$pm_hlshr_content .= $content;
			$pm_hlshr_content .= '</div>';

			return $pm_hlshr_content;
		} else {
			return $content;
		}
	} else {
		return $content;
	}	
}

/*
 * Register scripts
 */
add_action( 'wp_enqueue_scripts', 'pm_hlshr_load_scripts' );
function pm_hlshr_load_scripts() {
	global $post;
	$pm_hlshr_opts = get_option( 'pm_hlshr_options' );
	$current_post_type = get_post_type();
	$hilite_post_types = ( empty( $pm_hlshr_opts['hilite_post_types'] ) ) ? array() : $pm_hlshr_opts['hilite_post_types'];
	$pm_hlshr_disable = get_post_meta( $post->ID, '_pm_hlshr_disable', true );
	$link = wp_get_shortlink($post->ID);
	$via = ( !empty( $pm_hlshr_opts['via'] ) ) ? stripslashes( $pm_hlshr_opts['via'] ) : '' ;
	$usefb = ( !empty( $pm_hlshr_opts['usefb'] ) ) ? stripslashes( $pm_hlshr_opts['usefb'] ) : '';
	$fbappid = ( !empty( $pm_hlshr_opts['fbappid'] ) && ctype_digit($pm_hlshr_opts['fbappid']) == 1 ) ? $pm_hlshr_opts['fbappid'] : '' ;
	$fbtitle = ( !empty( $pm_hlshr_opts['fbtitle'] ) ) ? stripslashes( $pm_hlshr_opts['fbtitle'] ) : 'Great point!';
	$shortcode_present = ( has_shortcode( $post->post_content, 'hiliteshare' ) ) ? 1 : 0 ;

	wp_register_script( 'pm_hlshr_front', PM_HLSHR_DIR.'modules/js/front.js', array('jquery'), PM_HLSHR_VERSION, true );
	wp_register_script( 'pm_hlshr_fb_connect', '//connect.facebook.net/en_US/all.js', '', null, false );
	wp_register_script( 'pm_hlshr_twitter', '//platform.twitter.com/widgets.js', array(), null, $in_footer = false );
	wp_register_style( 'pm_hlshr_css_front', PM_HLSHR_DIR.'modules/css/pm-hlshr-front.css', '', PM_HLSHR_VERSION, 'all' );
	$localize_array = array(
		'usefb' => $usefb,
		'fbappid' => $fbappid,
		'fbtitle' => $fbtitle,
		'via' => $via,
		'link' => $link,
		'shortcode_present' => $shortcode_present,
		'wp_dir' => PM_HLSHR_DIR,
		);
	wp_localize_script( 'pm_hlshr_front', 'pm_hlshr_hilite_obj', $localize_array );

	// Enqueue if hilite turned on (default)
	if( !empty( $pm_hlshr_opts['enable_hilite'] ) && ( $pm_hlshr_opts['enable_hilite'] == 1 ) && in_array( $current_post_type, $hilite_post_types ) ) {
		// Finally, check if disabled on single page
		if( empty( $pm_hlshr_disable ) ) {
			wp_enqueue_script( 'pm_hlshr_front' );
			if( $usefb == 1 ) {
				wp_enqueue_script( 'pm_hlshr_fb_connect' );
			}
			wp_enqueue_script('pm_hlshr_twitter');
			wp_enqueue_style( 'pm_hlshr_css_front' );
		}
	}
}