<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
include_once($wpdir.'/wp-load.php');
		
// Get default options
$config = get_option('pm_hlshr_options');
$border_width = ( !empty($config['border_width']) ) ? stripslashes($config['border_width']) : '' ;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Quotable</title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo PM_HLSHR_DIR; ?>modules/css/tinymce_button_dialog.css">
<link type="text/css" rel="stylesheet" media="all" href="<?php echo PM_HLSHR_DIR; ?>modules/css/sales.css">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo PM_HLSHR_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo PM_HLSHR_WP_DIR; ?>/wp-includes/js/colorpicker.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo PM_HLSHR_DIR; ?>modules/js/admin.js"></script>
<?php
function pm_hlshr_load_scripts() {
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'pm_hlshr_color_picker', PM_HLSHR_DIR.'modules/js/admin.js', array( 'wp-color-picker', 'jquery' ), false, true );
}
add_action('wp_enqueue_scripts', 'pm_hlshr_load_scripts');
	?>
<script type="text/javascript">
 
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
		 
		// set up variables to contain our input values
		var button = jQuery('#button-dialog input[type="radio"]:checked.button-style').val();
		var icon = jQuery('#button-dialog input[type="radio"]:checked.button-icon').val();
		var btnurl = jQuery('#button-dialog input#button-url').val();
		var text = jQuery('#button-dialog input#button-text').val();	
		 
		var output = '';
		
		// setup the output of our shortcode
		if(text) {
			output += '<a class="elp ' + button + '" href="'+ btnurl +'">';
			output += '' + text + '</a>';
		} else {
			output += '<a class="elp ' + button + '" href="'+ btnurl + '">';
			output += '' + ButtonDialog.local_ed.selection.getContent() + '</a>';
		}
			
		tinyMCEPopup.editor.execCommand('mceInsertContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>

</head>
<body>
	<div id="quote-dialog">
		<form action="/" method="get" accept-charset="utf-8">
			<table>
				<tr>
					<th><label for="quote_bdr">Border</label></th>
					<td>
						<label for="bdr_none" class="bdr-none">None</label>
						<input type="radio" name="quote_bdr" value="none" id="bdr_none" class="bdr-none" <?php checked( $config['border'], '' ); ?> />
					</td>
						
					<td>
						<label for="bdr_solid" class="bdr-solid">Solid</label>
						<input type="radio" name="quote_bdr" value="solid" id="bdr_solid" class="bdr-solid" <?php checked( $config['border'], 'solid' ); ?> />
					</td>
					<td>
						<label for="bdr_dotted" class="bdr-dotted">Dotted</label>
						<input type="radio" name="quote_bdr" value="dotted" id="bdr_dotted" class="bdr-dotted" <?php checked( $config['border'], 'dotted' ); ?> />
					</td>
					<td>
						<label for="bdr_dashed" class="bdr-dashed">Dashed</label>
						<input type="radio" name="quote_bdr" value="dashed" id="bdr_dashed" class="bdr-dashed" <?php checked( $config['border'], 'dashed' ); ?> />
					</td>
				</tr>
				<tr>
					<th>
						<label for="bdr_wdth">Border Width</label>
					</th>
					<td colspan="4">
						<input type="text" name="bdr_wdth" value="<?php echo $border_width; ?>" id="bdr_wdth" />
					</td>
				</tr>
				<tr>
					<th>
						<label for="bdr_clr">Border Color</label>
					</th>
					<td colspan="4">
						<input type="text" name="bdr_clr" class="color-picker" value="" id="bdr_clr" />
					</td>
				</tr>
			</table>
				<div id="submitbtn">
					<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px;">Insert</a>
				</div>
		</form>
	</div>
</body>
</html>