<?php 
add_action( 'add_meta_boxes', 'pm_hlshr_add_meta_box' );
function pm_hlshr_add_meta_box() {
	// Gets all post types
	$post_types = get_post_types( array('public' => true) );
	//Removes attachments & other types from array to exclude
	unset($post_types['attachment'], $post_types['spp_lch_popups'] );
	$post_types = array_values( $post_types );


	// Load metabox for all post types except ones excluded above
	foreach ($post_types as $post_type) {
		add_meta_box( 
			'pm_hlshr_single_disable',
			__( PM_HLSHR_PLUGIN_NAME, 'pm-hilite-share' ),
			'pm_hlshr_inner_custom_box',
			$post_type, 'side' , 'default'
		);
	}
}

function pm_hlshr_inner_custom_box( $post ) {			
		wp_nonce_field( plugin_basename( __FILE__ ), 'pm_hilite_share' );
		$pm_hlshr_disable = get_post_meta( $post->ID, '_pm_hlshr_disable', true );
		echo '
		<label>Disable on this page 
		<input type="checkbox" name="pm_hlshr_disable" value="1" '.checked( $pm_hlshr_disable, 1, false ).' /></label>';
}

add_action( 'save_post', 'pm_hlshr_save_postdata' );
function pm_hlshr_save_postdata( $post_id ) {
  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  if ( isset( $_POST['pm_hilite_share'] ) && !wp_verify_nonce( $_POST['pm_hilite_share'], plugin_basename( __FILE__ ) ) )
      return;
  if ( 'page' == $_POST['post_type'] ) 
  {
    if ( !current_user_can( 'edit_page', $post_id ) )
        return;
  }
  else
  {
    if ( !current_user_can( 'edit_post', $post_id ) )
        return;
  }
  	// Figure out the public post types
 	$post_types = get_post_types( array( 'public' => true ) );
	unset( $post_types['attachment'] );
	$post_types = array_values( $post_types );
	// Get current post type
	$current_post_type = get_post_type( $post_id );

  if( in_array( $current_post_type, $post_types ) ){  
  	$valid_pm_hlshr_disable = ( isset( $_POST['pm_hlshr_disable'] ) ) ? 1 : 0 ;
	update_post_meta( $post_id, '_pm_hlshr_disable', $valid_pm_hlshr_disable );
  }  
}